Bug Hunting Session
Bug 54046 - Collection crashes
Summary: Collection crashes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:3.7.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-08-25 09:29 UTC by Andras Timar
Modified: 2012-12-14 09:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-08-25 09:29:56 UTC
REM  *****  BASIC  *****

Sub Main

Dim c As New Collection

End Sub

This little macro crashes LibreOffice.

Program received signal SIGSEGV, Segmentation fault.
StructRefInfo::getValue (this=0x130)
    at /home/timar/libreoffice-master/basic/source/classes/sbunoobj.cxx:4805

#0  StructRefInfo::getValue (this=0x130) at /home/timar/libreoffice-master/basic/source/classes/sbunoobj.cxx:4805
#1  0x00007ffff12d1790 in SbUnoStructRefObject::getUnoAny (this=<optimized out>) at /home/timar/libreoffice-master/basic/source/classes/sbunoobj.cxx:4971
#2  0x00007ffff1356aed in checkUnoStructCopy (refVar=..., refVal=..., bVBA=<optimized out>)
    at /home/timar/libreoffice-master/basic/source/runtime/step0.cxx:354
#3  SbiRuntime::StepSET_Impl (this=<optimized out>, refVal=..., refVar=..., bHandleDefaultProp=<optimized out>)
    at /home/timar/libreoffice-master/basic/source/runtime/step0.cxx:612
#4  0x00007ffff13571a7 in SbiRuntime::StepSET (this=0x231f850) at /home/timar/libreoffice-master/basic/source/runtime/step0.cxx:688
#5  0x00007ffff134c8ba in SbiRuntime::Step (this=0x231f850) at /home/timar/libreoffice-master/basic/source/runtime/runtime.cxx:707
#6  0x00007ffff12f5908 in SbModule::Run (this=0x1beea10, pMeth=0x239f080) at /home/timar/libreoffice-master/basic/source/classes/sbxmod.cxx:1193
#7  0x00007ffff12f6362 in SbModule::Notify (this=0x1beea10, rBC=..., rHint=...) at /home/timar/libreoffice-master/basic/source/classes/sbxmod.cxx:850
#8  0x00007ffff50f678d in SfxBroadcaster::Broadcast (this=0x1bdbdd0, rHint=...) at /home/timar/libreoffice-master/svl/source/notify/brdcst.cxx:49
#9  0x00007ffff12f8254 in SbMethod::Broadcast (this=0x1bee450, nHintId=65536) at /home/timar/libreoffice-master/basic/source/classes/sbxmod.cxx:2153
#10 0x00007ffff13910fd in SbxValue::Get (this=<optimized out>, rRes=...) at /home/timar/libreoffice-master/basic/source/sbx/sbxvalue.cxx:329
#11 0x00007fffd31b9000 in BasicIDE::RunMethod (pMethod=<optimized out>) at /home/timar/libreoffice-master/basctl/source/basicide/basobj3.cxx:314
#12 0x00007fffd3194f42 in basctl::ModulWindow::BasicExecute (this=0x215c840) at /home/timar/libreoffice-master/basctl/source/basicide/baside2.cxx:364
#13 0x00007fffd3197421 in BasicRun (this=0x215c840) at /home/timar/libreoffice-master/basctl/source/basicide/baside2.cxx:393
Comment 1 Andras Timar 2012-08-25 09:31:33 UTC
LibreOffice 3.4 is OK. -> regression
I did not test other versions.
Comment 2 Noel Power 2012-08-27 08:57:37 UTC
I guess it is for me ( although I have no idea what could have changed in this area )
Comment 3 Not Assigned 2012-08-27 09:58:46 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55899d7f5f3125ea2d4b1178065ffea80b3d2b50

fix for fdo#54046
Comment 4 Joel Madero 2012-12-06 17:06:04 UTC
I'm marking this as NEW right now, Noel, you mind marking it as FIXED once the time is appropriate? Thanks for the quick fix